QScintilla 2.14.1

Public Types | Public Slots | Public Member Functions | Protected Member Functions | List of all members
QsciLexerPerl Class Reference

`#include <qscilexerperl.h>`

Inherits QsciLexer.

## Public Types
enum | { Default = 0, Error = 1, Comment = 2, POD = 3, Number = 4, Keyword = 5, DoubleQuotedString = 6, SingleQuotedString = 7, Operator = 10, Identifier = 11, Scalar = 12, Array = 13, Hash = 14, SymbolTable = 15, Regex = 17, Substitution = 18, Backticks = 20, DataSection = 21, HereDocumentDelimiter = 22, SingleQuotedHereDocument = 23, DoubleQuotedHereDocument = 24, BacktickHereDocument = 25, QuotedStringQ = 26, QuotedStringQQ = 27, QuotedStringQX = 28, QuotedStringQR = 29, QuotedStringQW = 30, PODVerbatim = 31, SubroutinePrototype = 40, FormatIdentifier = 41, FormatBody = 42, DoubleQuotedStringVar = 43, Translation = 44, RegexVar = 54, SubstitutionVar = 55, BackticksVar = 57, DoubleQuotedHereDocumentVar = 61, BacktickHereDocumentVar = 62, QuotedStringQQVar = 64, QuotedStringQXVar = 65, QuotedStringQRVar = 66 }

## Public Slots
virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions
| QsciLexerPerl (QObject *parent=0)
virtual | ~QsciLexerPerl ()
const char * | language () const
const char * | lexer () const
QStringList | autoCompletionWordSeparators () const
const char * | blockEnd (int *style=0) const
const char * | blockStart (int *style=0) const
int | braceStyle () const
const char * | wordCharacters () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
void | setFoldAtElse (bool fold)
bool | foldAtElse () const
bool | foldComments () const
bool | foldCompact () const
void | setFoldPackages (bool fold)
bool | foldPackages () const
void | setFoldPODBlocks (bool fold)
bool | foldPODBlocks () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
int | autoIndentStyle ()
virtual int | blockLookback () const
virtual const char * | blockStartKeyword (int *style=0) const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerPerl class encapsulates the Scintilla Perl lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Perl lexer.

Enumerator
Default | The default.
Error | An error.
Comment | A comment.
POD | A POD.
Number | A number.
Keyword | A keyword.
DoubleQuotedString | A double-quoted string.
SingleQuotedString | A single-quoted string.
Operator | An operator.
Identifier | An identifier.
Scalar | A scalar.
Array | An array.
Hash | A hash.
SymbolTable | A symbol table.
Regex | A regular expression.
Substitution | A substitution.
Backticks | Backticks.
DataSection | A data section.
HereDocumentDelimiter | A here document delimiter.
SingleQuotedHereDocument | A single quoted here document.
DoubleQuotedHereDocument | A double quoted here document.
BacktickHereDocument | A backtick here document.
QuotedStringQ | A quoted string (q).
QuotedStringQQ | A quoted string (qq).
QuotedStringQX | A quoted string (qx).
QuotedStringQR | A quoted string (qr).
QuotedStringQW | A quoted string (qw).
PODVerbatim | A verbatim POD.
SubroutinePrototype | A Subroutine prototype.
FormatIdentifier | A format identifier.
FormatBody | A format body.
DoubleQuotedStringVar | A double-quoted string (interpolated variable).
Translation | A translation.
RegexVar | A regular expression (interpolated variable).
SubstitutionVar | A substitution (interpolated variable).
BackticksVar | Backticks (interpolated variable).
DoubleQuotedHereDocumentVar | A double quoted here document (interpolated variable).
BacktickHereDocumentVar | A backtick here document (interpolated variable).
QuotedStringQQVar | A quoted string (qq, interpolated variable).
QuotedStringQXVar | A quoted string (qx, interpolated variable).
QuotedStringQRVar | A quoted string (qr, interpolated variable).

## Constructor & Destructor Documentation

## ◆ QsciLexerPerl()

QsciLexerPerl::QsciLexerPerl | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerPerl with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerPerl::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## ◆ autoCompletionWordSeparators()

QStringList QsciLexerPerl::autoCompletionWordSeparators | ( |  | ) | const
| virtual

Returns the list of character sequences that can separate auto-completion words. The first in the list is assumed to be the sequence used to separate words in the lexer's API files.

Reimplemented from QsciLexer.

## ◆ blockEnd()

const char* QsciLexerPerl::blockEnd | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of words or characters in a particular style that define the end of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ blockStart()

const char* QsciLexerPerl::blockStart | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of words or characters in a particular style that define the start of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ defaultColor()

QColor QsciLexerPerl::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## ◆ defaultPaper()

QColor QsciLexerPerl::defaultPaper | ( | int | style | ) | const
| virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerPerl::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## ◆ description()

QString QsciLexerPerl::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## ◆ refreshProperties()

void QsciLexerPerl::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## ◆ setFoldAtElse()

void QsciLexerPerl::setFoldAtElse | ( | bool | fold | ) |

If fold is true then "} else {" lines can be folded. The default is false.

See also
  foldAtElse()

## ◆ foldAtElse()

bool QsciLexerPerl::foldAtElse | ( |  | ) | const
| inline

Returns true if "} else {" lines can be folded.

See also
  setFoldAtElse()

## ◆ foldComments()

bool QsciLexerPerl::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## ◆ foldCompact()

bool QsciLexerPerl::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## ◆ setFoldPackages()

void QsciLexerPerl::setFoldPackages | ( | bool | fold | ) |

If fold is true then packages can be folded. The default is true.

See also
  foldPackages()

## ◆ foldPackages()

bool QsciLexerPerl::foldPackages | ( |  | ) | const

Returns true if packages can be folded.

See also
  setFoldPackages()

## ◆ setFoldPODBlocks()

void QsciLexerPerl::setFoldPODBlocks | ( | bool | fold | ) |

If fold is true then POD blocks can be folded. The default is true.

See also
  foldPODBlocks()

## ◆ foldPODBlocks()

bool QsciLexerPerl::foldPODBlocks | ( |  | ) | const

Returns true if POD blocks can be folded.

See also
  setFoldPODBlocks()

## ◆ setFoldComments

virtual void QsciLexerPerl::setFoldComments | ( | bool | fold | ) |
| virtual slot

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## ◆ setFoldCompact

virtual void QsciLexerPerl::setFoldCompact | ( | bool | fold | ) |
| virtual slot

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## ◆ readProperties()

bool QsciLexerPerl::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## ◆ writeProperties()

bool QsciLexerPerl::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.